repository_start() {
  local org; org=$1
  rm -rf /opt/$org
  ln -s $CVMFS_MOUNT_DIR/$org /opt/$org
}

repository_stop() {
  local org; org=$1
  rm -rf /opt/$org
}

cvmfs_readconfig() {
  local org
  org=$1

  if [ -f /etc/cvmfs/default.conf ]
  then
    . /etc/cvmfs/default.conf
  else
    return 1
  fi

  local file
  for file in /etc/cernvm/default.conf \
              /etc/cvmfs/site.conf \
              /etc/cernvm/site.conf
  do
    if [ -f $file ]; then
      eval `sed 's/=\$(.*)//g' $file |  sed -n -e  '/^[^+]/s/\([^=]*\)[=]\(.*\)/\1="\2"; /gp'` 
    fi
  done

  if [ -f /etc/cvmfs/local.d/default.conf ]
  then
    . /etc/cvmfs/local.d/default.conf
  fi

  if [ "x$org" != "x" ] 
  then
    echo $CVMFS_REPOSITORIES | grep "\(^\|,\)$org\($\|,\)" > /dev/null
    if [ $? -ne 0 ]; then
      return 2
    fi 
    
    for file in  /etc/cvmfs/config.d/$org.conf \
                 /etc/cvmfs/local.d/$org.conf
    do
      [ -f $file ] && . $file
    done
  fi
  
  return 0
}
